package net.shadowfacts.cacao

import net.minecraft.client.gui.screen.Screen
import net.minecraft.network.chat.TextComponent
import net.shadowfacts.cacao.geometry.Point

/**
 * @author shadowfacts
 */
open class Screen: Screen(TextComponent("Screen")) {

	val windows = mutableListOf<Window>()

	fun addWindow(window: Window, index: Int? = null) {
		if (index != null) {
			windows.add(index, window)
		} else {
			windows.add(window)
		}
	}

	override fun render(mouseX: Int, mouseY: Int, delta: Float) {
		val mouse = Point(mouseX, mouseY)
		windows.forEach {
			it.draw(mouse, delta)
		}
	}

}